<script src="./Script.js"></script>

<template>
  <div>
    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="trashCustomer"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">
                <template v-if="is_deleted_multiple">Xóa tạm {{ total_deleted }} khách hàng ?</template>
                <template v-else>
                  Xóa tạm khách hàng
                  <span class="nt-color-warning">{{ customer_name }}</span>?
                </template>
              </div>
              <div class="nt--modal-confirm-choice-content-title-bottom nt-color-warning">
                <template v-if="is_deleted_multiple">
                  Khách hàng bị xóa tạm sẽ không được chỉnh sửa dữ liệu liên quan đến khách hàng này (như sửa thông tin, thêm giao dịch, thêm ghi chú).
                  <br />Những khách hàng đang được gắn với ít nhất 1 giao dịch sẽ không được xóa tạm.
                </template>
                <template
                  v-else
                >Khách hàng bị xóa tạm sẽ không được chỉnh sửa dữ liệu liên quan đến khách hàng này (như sửa thông tin, thêm giao dịch, thêm ghi chú).</template>
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-secondary nt-button-modal"
              data-dismiss="modal"
              @click.prevent="closeModal()"
            >Hủy bỏ</button>
            <button
              @click.prevent="trash()"
              type="submit"
              class="nt-button nt-button-warning nt-button-modal"
              data-dismiss="modal"
            >Đồng ý</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
